gnutls_srp_base64_decode(3)

NAME
gnutls_srp_base64_decode - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_srp_base64_decode(const gnutls_datum_t * b64_data, char * result, size_t * result_size);

ARGUMENTS

const gnutls_datum_t * b64_data
    contain the encoded data

char * result
    the place where decoded data will be copied

size_t * result_size
    holds the size of the result

DESCRIPTION
This function will decode the given encoded data, using the base64 encoding found in libsrp.

Note that b64_data should be null terminated.

Warning! This base64 encoding is not the "standard" encoding, so do not use it for non-SRP purposes.

RETURNS
GNUTLS_E_SHORT_MEMORY_BUFFER if the buffer given is not long enough, or 0 on success.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2023 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/